Name:          gnubg
License:       GPLv2
Group:         Amusements/Games
Summary:       A backgammon game and analyser
Version:       20061119
Release:       14%{?dist}
Source0:       http://www.gnubg.org/media/sources/%{name}-source-MAIN-%{version}.tar.gz
Source1:       gnubg.weights
Source2:       gnubg.desktop
Source3:       gnubg.png
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n ) 
URL:           http://www.gnubg.org
BuildRequires: gtk2-devel
BuildRequires: esound-devel
BuildRequires: arts-devel
BuildRequires: gettext-devel
BuildRequires: gtkglext-devel
BuildRequires: automake
BuildRequires: bison
BuildRequires: libtool
BuildRequires: texinfo
BuildRequires: python-devel
BuildRequires: netpbm-progs
BuildRequires: gnuplot
BuildRequires: ghostscript
BuildRequires: info
BuildRequires: desktop-file-utils
BuildRequires: audiofile-devel
BuildRequires: cairo-devel
BuildRequires: libxml2-devel
BuildRequires: atk-devel
BuildRequires: pango-devel
BuildRequires: libpng-devel
BuildRequires: readline-devel
BuildRequires: python-devel
BuildRequires: glib-devel
BuildRequires: freetype-devel
BuildRequires: flex
%if "0%{?dist}" == "0.fc5"
BuildRequires: libXt-devel
%endif
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
GNU Backgammon is software for playing and analysing backgammon
positions, games and matches. It's based on a neural network. Although it
already plays at a very high level, it's still work in progress. You may
play GNU Backgammon using the command line or a graphical interface

%prep
%setup -qn %{name}
# convert man page from ISO-8859-1 to UTF8
/usr/bin/iconv -f ISO-8859-1 -t UTF8 gnubg.6 > gnubg.6.tmp 
/bin/mv gnubg.6.tmp gnubg.6

# running autogen, sources are nightly CVS tarballs not
# containing configure
./autogen.sh

%build
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-python \
	--without-gdbm \
	--without-guile \
	--without-timecontrol
make

%install
rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnubg
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnubg/gnubg.weights
cp -rp textures* $RPM_BUILD_ROOT%{_datadir}/gnubg/
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnubg/textures/CVS
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnubg/textures/.cvsignore

%find_lang %{name}

# remove /usr/share/info/dir
/bin/rm -f $RPM_BUILD_ROOT/usr/share/info/dir

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
 
%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/bearoffdump
%{_bindir}/gnubg
%{_bindir}/makebearoff
%{_bindir}/makehyper
%{_infodir}/gnubg.info.gz
%dir %{_datadir}/gnubg
%{_datadir}/gnubg/met
%{_datadir}/gnubg/doc
%{_datadir}/gnubg/boards.xml
%{_datadir}/gnubg/gnubg.game.sql
#%{_datadir}/gnubg/gnubg.gtkrc
%{_datadir}/gnubg/gnubg_os0.bd
%{_datadir}/gnubg/gnubg.weights
%{_datadir}/gnubg/sounds
%{_datadir}/gnubg/textures.txt
%{_datadir}/gnubg/textures
%{_mandir}/man6/gnubg.*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%dir %{_datadir}/gnubg/fonts
%{_datadir}/gnubg/fonts/*
%{_datadir}/gnubg/gnubg.gtkrc
%{_datadir}/gnubg/gnubg.wd
%{_datadir}/gnubg/scripts/
%{_datadir}/gnubg/flags/

%changelog
* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 20061119-14
- GCC 4.3 rebuild.
* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-13
- License tag correction.
* Mon Aug 13 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-12
- Fixed .desktop file version.
* Mon Apr 04 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-11
- rel bump for desktop mis-update fix.
* Mon Apr 04 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-10
- Unified spec to fix EVR issues.
* Tue Mar 20 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-9
- Explicity installing textures.
- Updated menu categories in desktop.
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-8
- Corrected some duplicate files
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-7
- BuildRequires fix.
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-6
- BuildRequires fix.
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-5
- BuildRequires fix.
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-4
- BuildRequires fix.
* Wed Feb 14 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-3
- BuildRequires fix.
* Tue Feb 13 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-2
- Removed czech.png, added scripts, flags dirs.
* Tue Feb 13 2007 Jon Ciesla <limb@jcomserv.net> - 20061119-1
- Bumped to upstream verion 20061119; Updated URL
* Wed Aug 30 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 20060629-1
- Rebuild for Fedora Extras 6; bumped to upstream version 20060629
* Mon Jun 26 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060626-1
- update to new upstream version
* Tue Jun  6 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060530-5
- minor change in man file conversion, move from install to prep
* Mon Jun  5 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060530-4
- added BuildReqs desktop-file-utils
* Sun Jun  4 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060530-3
- fixed utf8 error in /usr/share/man/man6/gnubg.6.gz
- removed BuildReqs gtk+-devel, freetype-devel, audiofile-devel
- added BuildReqs gtkglext-devel
- remove /usr/share/info/dir
- removed subpackages database- and sound-
- removed configure option without-board3d 
- sanitised %%files section
- ghost the .pyo files /usr/share/gnubg/scripts/
- added desktop file and icon
* Thu Jun  1 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060530-2
- moved autogen.sh from %%build to %%setup
- changed ./configure to %%configure macro
- removed install-strip
- added directories to files sections
- removed BuildReqs glib2 and autoconf
- added BuildReqs (mock): gettext-devel, gtk2-devel, texinfo, python-devel,
  netpbm-progs, gnuplot, ghostscript, info
* Wed May 31 2006 - Joost Soeterbroek <fedora@soeterbroek.com> - 20060530-1
- added find_lang macro
- added full URL to Source
- added BuildReqs.
- added correct Reqs. to sub-packages
- added defattr to sub-packages' files section
- added correct TexInfo scriptlet for post and preun
* Sun Apr 23 2006 - Joost Soeterbroek <fedora@soeterbroek.com>
- rebuild for FE
* Wed Dec 28 2004 - <ace@gnubg.org>
- new weights including pruning
* Mon Oct 11 2004 - <ace@gnubg.org>
- fixed some minor bugs
* Wed Sep 01 2004 - <ace@gnubg.org>
- new rpms with 3d enabled
* Wed Nov 05 2003 - <ace@gnubg.org>
- made the spec suit to redhat and suse <ace@gnubg.org>
- disabled 3d (still problems with nvidia)
- added gpg signature
* Thu Oct 23 2003 - <ace@gnubg.org>
- disabled gdbm and guile
- changed info- and manpath
* Mon Oct 20 2003 - <ace@gnubg.org>
- divided into three packages (gnubg, databases, sounds)
* Fri Oct 18 2003 - <ace@gnubg.org>
- initial package (Version 0.14)
